Index: cbv2/src/mainboard/olpc/btest/Options.lb
===================================================================
--- cbv2.orig/src/mainboard/olpc/btest/Options.lb
+++ cbv2/src/mainboard/olpc/btest/Options.lb
@@ -1,5 +1,5 @@
-uses CONFIG_HAVE_MP_TABLE
-uses CONFIG_HAVE_PIRQ_TABLE
+uses CONFIG_GENERATE_MP_TABLE
+uses CONFIG_GENERATE_PIRQ_TABLE
 uses CONFIG_USE_FALLBACK_IMAGE
 uses CONFIG_HAVE_FALLBACK_BOOT
 uses CONFIG_HAVE_HARD_RESET
@@ -27,7 +27,7 @@ uses CONFIG_ROMBASE
 uses CONFIG_RAMBASE
 uses CONFIG_XIP_ROM_SIZE
 uses CONFIG_XIP_ROM_BASE
-uses CONFIG_HAVE_MP_TABLE
+uses CONFIG_GENERATE_MP_TABLE
 uses CONFIG_CROSS_COMPILE
 uses CC
 uses HOSTCC
@@ -56,7 +56,7 @@ default CONFIG_HAVE_FALLBACK_BOOT=1
 ##
 ## no MP table
 ##
-default CONFIG_HAVE_MP_TABLE=0
+default CONFIG_GENERATE_MP_TABLE=0
 
 ##
 ## Build code to reset the motherboard from coreboot
@@ -71,7 +71,7 @@ default CONFIG_TSC_X86RDTSC_CALIBRATE_WI
 ##
 ## Build code to export a programmable irq routing table
 ##
-default CONFIG_HAVE_PIRQ_TABLE=1
+default CONFIG_GENERATE_PIRQ_TABLE=1
 default CONFIG_IRQ_SLOT_COUNT=2
 #object irq_tables.o
 
Index: cbv2/src/mainboard/olpc/rev_a/Config.lb
===================================================================
--- cbv2.orig/src/mainboard/olpc/rev_a/Config.lb
+++ cbv2/src/mainboard/olpc/rev_a/Config.lb
@@ -14,7 +14,7 @@ arch i386 end
 
 driver mainboard.o
 
-if CONFIG_HAVE_PIRQ_TABLE object irq_tables.o end
+if CONFIG_GENERATE_PIRQ_TABLE object irq_tables.o end
 #object reset.o
 
 ##
Index: cbv2/src/mainboard/olpc/rev_a/Options.lb
===================================================================
--- cbv2.orig/src/mainboard/olpc/rev_a/Options.lb
+++ cbv2/src/mainboard/olpc/rev_a/Options.lb
@@ -1,5 +1,5 @@
-uses CONFIG_HAVE_MP_TABLE
-uses CONFIG_HAVE_PIRQ_TABLE
+uses CONFIG_GENERATE_MP_TABLE
+uses CONFIG_GENERATE_PIRQ_TABLE
 uses CONFIG_USE_FALLBACK_IMAGE
 uses CONFIG_HAVE_FALLBACK_BOOT
 uses CONFIG_HAVE_HARD_RESET
@@ -27,7 +27,7 @@ uses CONFIG_ROMBASE
 uses CONFIG_RAMBASE
 uses CONFIG_XIP_ROM_SIZE
 uses CONFIG_XIP_ROM_BASE
-uses CONFIG_HAVE_MP_TABLE
+uses CONFIG_GENERATE_MP_TABLE
 uses CONFIG_CROSS_COMPILE
 uses CC
 uses HOSTCC
@@ -56,7 +56,7 @@ default CONFIG_HAVE_FALLBACK_BOOT=1
 ##
 ## no MP table
 ##
-default CONFIG_HAVE_MP_TABLE=0
+default CONFIG_GENERATE_MP_TABLE=0
 
 ##
 ## Build code to reset the motherboard from coreboot
@@ -71,7 +71,7 @@ default CONFIG_TSC_X86RDTSC_CALIBRATE_WI
 ##
 ## Build code to export a programmable irq routing table
 ##
-default CONFIG_HAVE_PIRQ_TABLE=1
+default CONFIG_GENERATE_PIRQ_TABLE=1
 default CONFIG_IRQ_SLOT_COUNT=2
 #object irq_tables.o
 
Index: cbv2/src/mainboard/pcengines/alix1c/Config.lb
===================================================================
--- cbv2.orig/src/mainboard/pcengines/alix1c/Config.lb
+++ cbv2/src/mainboard/pcengines/alix1c/Config.lb
@@ -34,7 +34,7 @@ arch i386 end
 
 driver mainboard.o
 
-if CONFIG_HAVE_PIRQ_TABLE
+if CONFIG_GENERATE_PIRQ_TABLE
 	object irq_tables.o
 end
 
Index: cbv2/src/mainboard/pcengines/alix1c/Makefile.inc
===================================================================
--- cbv2.orig/src/mainboard/pcengines/alix1c/Makefile.inc
+++ cbv2/src/mainboard/pcengines/alix1c/Makefile.inc
@@ -1,7 +1,7 @@
 driver-y += mainboard.o
 
 # Needed by irq_tables and mptable and acpi_tables.
-obj-$(CONFIG_HAVE_PIRQ_TABLE) += irq_tables.o
+obj-$(CONFIG_GENERATE_PIRQ_TABLE) += irq_tables.o
 
 # This is part of the conversion to init-obj and away from included code.
 
Index: cbv2/src/mainboard/pcengines/alix1c/Options.lb
===================================================================
--- cbv2.orig/src/mainboard/pcengines/alix1c/Options.lb
+++ cbv2/src/mainboard/pcengines/alix1c/Options.lb
@@ -18,8 +18,8 @@
 ## Foundation, Inc., 51 Franklin St, Fifth Floor, Boston, MA  02110-1301 USA
 ##
 
-uses CONFIG_HAVE_MP_TABLE
-uses CONFIG_HAVE_PIRQ_TABLE
+uses CONFIG_GENERATE_MP_TABLE
+uses CONFIG_GENERATE_PIRQ_TABLE
 uses CONFIG_USE_FALLBACK_IMAGE
 uses CONFIG_HAVE_FALLBACK_BOOT
 uses CONFIG_HAVE_HARD_RESET
@@ -47,7 +47,7 @@ uses CONFIG_ROMBASE
 uses CONFIG_RAMBASE
 uses CONFIG_XIP_ROM_SIZE
 uses CONFIG_XIP_ROM_BASE
-uses CONFIG_HAVE_MP_TABLE
+uses CONFIG_GENERATE_MP_TABLE
 uses CONFIG_CROSS_COMPILE
 uses CC
 uses HOSTCC
@@ -87,7 +87,7 @@ default CONFIG_HAVE_FALLBACK_BOOT=1
 ##
 ## no MP table
 ##
-default CONFIG_HAVE_MP_TABLE=0
+default CONFIG_GENERATE_MP_TABLE=0
 
 ##
 ## Build code to reset the motherboard from coreboot
@@ -102,7 +102,7 @@ default CONFIG_TSC_X86RDTSC_CALIBRATE_WI
 ##
 ## Build code to export a programmable irq routing table
 ##
-default CONFIG_HAVE_PIRQ_TABLE=1
+default CONFIG_GENERATE_PIRQ_TABLE=1
 default CONFIG_IRQ_SLOT_COUNT=5
 default CONFIG_PIRQ_ROUTE=1
 ##
Index: cbv2/src/mainboard/rca/rm4100/Config.lb
===================================================================
--- cbv2.orig/src/mainboard/rca/rm4100/Config.lb
+++ cbv2/src/mainboard/rca/rm4100/Config.lb
@@ -24,9 +24,9 @@ include /config/nofailovercalculation.lb
 
 arch i386 end
 driver mainboard.o
-if CONFIG_HAVE_PIRQ_TABLE object irq_tables.o end
+if CONFIG_GENERATE_PIRQ_TABLE object irq_tables.o end
 # object reset.o
-if CONFIG_HAVE_ACPI_TABLES
+if CONFIG_GENERATE_ACPI_TABLES
 	object fadt.o
 	object dsdt.o
 	object acpi_tables.o
Index: cbv2/src/mainboard/rca/rm4100/Options.lb
===================================================================
--- cbv2.orig/src/mainboard/rca/rm4100/Options.lb
+++ cbv2/src/mainboard/rca/rm4100/Options.lb
@@ -32,12 +32,12 @@ uses CONFIG_VIDEO_MB
 uses CONFIG_CROSS_COMPILE
 uses CONFIG_DEFAULT_CONSOLE_LOGLEVEL
 uses CONFIG_FALLBACK_SIZE
-uses CONFIG_HAVE_ACPI_TABLES
+uses CONFIG_GENERATE_ACPI_TABLES
 uses CONFIG_HAVE_ACPI_RESUME
 uses CONFIG_HAVE_FALLBACK_BOOT
-uses CONFIG_HAVE_MP_TABLE
+uses CONFIG_GENERATE_MP_TABLE
 uses CONFIG_HAVE_OPTION_TABLE
-uses CONFIG_HAVE_PIRQ_TABLE
+uses CONFIG_GENERATE_PIRQ_TABLE
 uses CONFIG_HEAP_SIZE
 uses HOSTCC
 uses CONFIG_IRQ_SLOT_COUNT
@@ -68,10 +68,10 @@ default CONFIG_HAVE_FALLBACK_BOOT = 1
 default CONFIG_FALLBACK_SIZE = CONFIG_ROM_IMAGE_SIZE
 default CONFIG_UDELAY_TSC = 1
 default CONFIG_TSC_X86RDTSC_CALIBRATE_WITH_TIMER2 = 1
-default CONFIG_HAVE_PIRQ_TABLE = 1
+default CONFIG_GENERATE_PIRQ_TABLE = 1
 default CONFIG_IRQ_SLOT_COUNT = 7
-default CONFIG_HAVE_MP_TABLE = 0
-default CONFIG_HAVE_ACPI_TABLES = 0
+default CONFIG_GENERATE_MP_TABLE = 0
+default CONFIG_GENERATE_ACPI_TABLES = 0
 default CONFIG_IOAPIC = 0
 default CONFIG_HAVE_OPTION_TABLE = 0
 default CONFIG_CONSOLE_VGA = 0
Index: cbv2/src/mainboard/soyo/sy-6ba-plus-iii/Config.lb
===================================================================
--- cbv2.orig/src/mainboard/soyo/sy-6ba-plus-iii/Config.lb
+++ cbv2/src/mainboard/soyo/sy-6ba-plus-iii/Config.lb
@@ -25,7 +25,7 @@ default CONFIG_XIP_ROM_BASE = 0xffffffff
 
 arch i386 end
 driver mainboard.o
-if CONFIG_HAVE_PIRQ_TABLE
+if CONFIG_GENERATE_PIRQ_TABLE
 	object irq_tables.o
 end
 makerule ./failover.E
Index: cbv2/src/mainboard/soyo/sy-6ba-plus-iii/Options.lb
===================================================================
--- cbv2.orig/src/mainboard/soyo/sy-6ba-plus-iii/Options.lb
+++ cbv2/src/mainboard/soyo/sy-6ba-plus-iii/Options.lb
@@ -18,8 +18,8 @@
 ## Foundation, Inc., 51 Franklin St, Fifth Floor, Boston, MA  02110-1301 USA
 ##
 
-uses CONFIG_HAVE_MP_TABLE
-uses CONFIG_HAVE_PIRQ_TABLE
+uses CONFIG_GENERATE_MP_TABLE
+uses CONFIG_GENERATE_PIRQ_TABLE
 uses CONFIG_USE_FALLBACK_IMAGE
 uses CONFIG_HAVE_FALLBACK_BOOT
 uses CONFIG_HAVE_HARD_RESET
@@ -45,7 +45,7 @@ uses CONFIG_ROMBASE
 uses CONFIG_RAMBASE
 uses CONFIG_XIP_ROM_SIZE
 uses CONFIG_XIP_ROM_BASE
-uses CONFIG_HAVE_MP_TABLE
+uses CONFIG_GENERATE_MP_TABLE
 uses CONFIG_CROSS_COMPILE
 uses CC
 uses HOSTCC
@@ -65,11 +65,11 @@ uses CONFIG_PCI_ROM_RUN
 
 default CONFIG_ROM_SIZE = 256 * 1024
 default CONFIG_HAVE_FALLBACK_BOOT = 1
-default CONFIG_HAVE_MP_TABLE = 0
+default CONFIG_GENERATE_MP_TABLE = 0
 default CONFIG_HAVE_HARD_RESET = 0
 default CONFIG_UDELAY_TSC = 1
 default CONFIG_TSC_X86RDTSC_CALIBRATE_WITH_TIMER2 = 1
-default CONFIG_HAVE_PIRQ_TABLE = 1
+default CONFIG_GENERATE_PIRQ_TABLE = 1
 default CONFIG_IRQ_SLOT_COUNT = 7		# Override this in targets/*/Config.lb.
 default CONFIG_MAINBOARD_VENDOR = "N/A"	# Override this in targets/*/Config.lb.
 default CONFIG_MAINBOARD_PART_NUMBER = "N/A"	# Override this in targets/*/Config.lb.
Index: cbv2/src/mainboard/sunw/ultra40/Config.lb
===================================================================
--- cbv2.orig/src/mainboard/sunw/ultra40/Config.lb
+++ cbv2/src/mainboard/sunw/ultra40/Config.lb
@@ -14,8 +14,8 @@ driver mainboard.o
 #needed by irq_tables and mptable and acpi_tables
 object get_bus_conf.o
 
-if CONFIG_HAVE_MP_TABLE object mptable.o end
-if CONFIG_HAVE_PIRQ_TABLE object irq_tables.o end
+if CONFIG_GENERATE_MP_TABLE object mptable.o end
+if CONFIG_GENERATE_PIRQ_TABLE object irq_tables.o end
 #object reset.o
 	if CONFIG_USE_INIT	
 		makerule ./auto.o
Index: cbv2/src/mainboard/sunw/ultra40/Makefile.inc
===================================================================
--- cbv2.orig/src/mainboard/sunw/ultra40/Makefile.inc
+++ cbv2/src/mainboard/sunw/ultra40/Makefile.inc
@@ -23,8 +23,8 @@ driver-y += mainboard.o
 
 # Needed by irq_tables and mptable and acpi_tables.
 obj-y += get_bus_conf.o
-obj-$(CONFIG_HAVE_MP_TABLE) += mptable.o
-obj-$(CONFIG_HAVE_PIRQ_TABLE) += irq_tables.o
+obj-$(CONFIG_GENERATE_MP_TABLE) += mptable.o
+obj-$(CONFIG_GENERATE_PIRQ_TABLE) += irq_tables.o
 
 # This is part of the conversion to init-obj and away from included code.
 
Index: cbv2/src/mainboard/sunw/ultra40/Options.lb
===================================================================
--- cbv2.orig/src/mainboard/sunw/ultra40/Options.lb
+++ cbv2/src/mainboard/sunw/ultra40/Options.lb
@@ -1,5 +1,5 @@
-uses CONFIG_HAVE_MP_TABLE
-uses CONFIG_HAVE_PIRQ_TABLE
+uses CONFIG_GENERATE_MP_TABLE
+uses CONFIG_GENERATE_PIRQ_TABLE
 uses CONFIG_USE_FALLBACK_IMAGE
 uses CONFIG_HAVE_FALLBACK_BOOT
 uses CONFIG_HAVE_HARD_RESET
@@ -98,14 +98,14 @@ default CONFIG_HAVE_HARD_RESET=1
 ##
 ## Build code to export a programmable irq routing table
 ##
-default CONFIG_HAVE_PIRQ_TABLE=1
+default CONFIG_GENERATE_PIRQ_TABLE=1
 default CONFIG_IRQ_SLOT_COUNT=11
 
 ##
 ## Build code to export an x86 MP table
 ## Useful for specifying IRQ routing values
 ##
-default CONFIG_HAVE_MP_TABLE=1
+default CONFIG_GENERATE_MP_TABLE=1
 
 ##
 ## Build code to export a CMOS option table
Index: cbv2/src/mainboard/supermicro/h8dme/Config.lb
===================================================================
--- cbv2.orig/src/mainboard/supermicro/h8dme/Config.lb
+++ cbv2/src/mainboard/supermicro/h8dme/Config.lb
@@ -30,8 +30,8 @@ driver mainboard.o
 #needed by irq_tables and mptable and acpi_tables
 object get_bus_conf.o
 
-if CONFIG_HAVE_MP_TABLE object mptable.o end
-if CONFIG_HAVE_PIRQ_TABLE object irq_tables.o end
+if CONFIG_GENERATE_MP_TABLE object mptable.o end
+if CONFIG_GENERATE_PIRQ_TABLE object irq_tables.o end
 #object reset.o
 
 	if CONFIG_USE_INIT	
Index: cbv2/src/mainboard/supermicro/h8dme/Makefile.inc
===================================================================
--- cbv2.orig/src/mainboard/supermicro/h8dme/Makefile.inc
+++ cbv2/src/mainboard/supermicro/h8dme/Makefile.inc
@@ -24,8 +24,8 @@ driver-y += ../../../drivers/i2c/i2cmux2
 
 # Needed by irq_tables and mptable and acpi_tables.
 obj-y += get_bus_conf.o
-obj-$(CONFIG_HAVE_MP_TABLE) += mptable.o
-obj-$(CONFIG_HAVE_PIRQ_TABLE) += irq_tables.o
+obj-$(CONFIG_GENERATE_MP_TABLE) += mptable.o
+obj-$(CONFIG_GENERATE_PIRQ_TABLE) += irq_tables.o
 
 # This is part of the conversion to init-obj and away from included code.
 
Index: cbv2/src/mainboard/supermicro/h8dme/Options.lb
===================================================================
--- cbv2.orig/src/mainboard/supermicro/h8dme/Options.lb
+++ cbv2/src/mainboard/supermicro/h8dme/Options.lb
@@ -19,9 +19,9 @@
 ## Foundation, Inc., 51 Franklin St, Fifth Floor, Boston, MA  02110-1301 USA
 ## 
 
-uses CONFIG_HAVE_MP_TABLE
-uses CONFIG_HAVE_PIRQ_TABLE
-uses CONFIG_HAVE_ACPI_TABLES
+uses CONFIG_GENERATE_MP_TABLE
+uses CONFIG_GENERATE_PIRQ_TABLE
+uses CONFIG_GENERATE_ACPI_TABLES
 uses CONFIG_HAVE_ACPI_RESUME
 uses CONFIG_ACPI_SSDTX_NUM
 uses CONFIG_USE_FALLBACK_IMAGE
@@ -153,17 +153,17 @@ default CONFIG_HAVE_HARD_RESET=1
 ##
 ## Build code to export a programmable irq routing table
 ##
-default CONFIG_HAVE_PIRQ_TABLE=1
+default CONFIG_GENERATE_PIRQ_TABLE=1
 default CONFIG_IRQ_SLOT_COUNT=11
 
 ##
 ## Build code to export an x86 MP table
 ## Useful for specifying IRQ routing values
 ##
-default CONFIG_HAVE_MP_TABLE=1
+default CONFIG_GENERATE_MP_TABLE=1
 
 ## ACPI tables will be included
-default CONFIG_HAVE_ACPI_TABLES=0
+default CONFIG_GENERATE_ACPI_TABLES=0
 
 ##
 ## Build code to export a CMOS option table
Index: cbv2/src/mainboard/supermicro/h8dmr/Config.lb
===================================================================
--- cbv2.orig/src/mainboard/supermicro/h8dmr/Config.lb
+++ cbv2/src/mainboard/supermicro/h8dmr/Config.lb
@@ -33,8 +33,8 @@ driver mainboard.o
 #needed by irq_tables and mptable and acpi_tables
 object get_bus_conf.o
 
-if CONFIG_HAVE_MP_TABLE object mptable.o end
-if CONFIG_HAVE_PIRQ_TABLE object irq_tables.o end
+if CONFIG_GENERATE_MP_TABLE object mptable.o end
+if CONFIG_GENERATE_PIRQ_TABLE object irq_tables.o end
 #object reset.o
 
 	if CONFIG_USE_INIT	
Index: cbv2/src/mainboard/supermicro/h8dmr/Makefile.inc
===================================================================
--- cbv2.orig/src/mainboard/supermicro/h8dmr/Makefile.inc
+++ cbv2/src/mainboard/supermicro/h8dmr/Makefile.inc
@@ -23,8 +23,8 @@ driver-y += mainboard.o
 
 # Needed by irq_tables and mptable and acpi_tables.
 obj-y += get_bus_conf.o
-obj-$(CONFIG_HAVE_MP_TABLE) += mptable.o
-obj-$(CONFIG_HAVE_PIRQ_TABLE) += irq_tables.o
+obj-$(CONFIG_GENERATE_MP_TABLE) += mptable.o
+obj-$(CONFIG_GENERATE_PIRQ_TABLE) += irq_tables.o
 
 # This is part of the conversion to init-obj and away from included code.
 
Index: cbv2/src/mainboard/supermicro/h8dmr/Options.lb
===================================================================
--- cbv2.orig/src/mainboard/supermicro/h8dmr/Options.lb
+++ cbv2/src/mainboard/supermicro/h8dmr/Options.lb
@@ -19,9 +19,9 @@
 ## Foundation, Inc., 51 Franklin St, Fifth Floor, Boston, MA  02110-1301 USA
 ## 
 
-uses CONFIG_HAVE_MP_TABLE
-uses CONFIG_HAVE_PIRQ_TABLE
-uses CONFIG_HAVE_ACPI_TABLES
+uses CONFIG_GENERATE_MP_TABLE
+uses CONFIG_GENERATE_PIRQ_TABLE
+uses CONFIG_GENERATE_ACPI_TABLES
 uses CONFIG_HAVE_ACPI_RESUME
 uses CONFIG_ACPI_SSDTX_NUM
 uses CONFIG_USE_FALLBACK_IMAGE
@@ -146,17 +146,17 @@ default CONFIG_HAVE_HARD_RESET=1
 ##
 ## Build code to export a programmable irq routing table
 ##
-default CONFIG_HAVE_PIRQ_TABLE=1
+default CONFIG_GENERATE_PIRQ_TABLE=1
 default CONFIG_IRQ_SLOT_COUNT=11
 
 ##
 ## Build code to export an x86 MP table
 ## Useful for specifying IRQ routing values
 ##
-default CONFIG_HAVE_MP_TABLE=1
+default CONFIG_GENERATE_MP_TABLE=1
 
 ## ACPI tables will be included
-default CONFIG_HAVE_ACPI_TABLES=0
+default CONFIG_GENERATE_ACPI_TABLES=0
 
 ##
 ## Build code to export a CMOS option table
Index: cbv2/src/mainboard/supermicro/h8dmr_fam10/Config.lb
===================================================================
--- cbv2.orig/src/mainboard/supermicro/h8dmr_fam10/Config.lb
+++ cbv2/src/mainboard/supermicro/h8dmr_fam10/Config.lb
@@ -35,8 +35,8 @@ driver mainboard.o
 #needed by irq_tables and mptable and acpi_tables
 object get_bus_conf.o
 
-if CONFIG_HAVE_MP_TABLE object mptable.o end
-if CONFIG_HAVE_PIRQ_TABLE object irq_tables.o end
+if CONFIG_GENERATE_MP_TABLE object mptable.o end
+if CONFIG_GENERATE_PIRQ_TABLE object irq_tables.o end
 #object reset.o
 
 	if CONFIG_USE_INIT	
Index: cbv2/src/mainboard/supermicro/h8dmr_fam10/Makefile.inc
===================================================================
--- cbv2.orig/src/mainboard/supermicro/h8dmr_fam10/Makefile.inc
+++ cbv2/src/mainboard/supermicro/h8dmr_fam10/Makefile.inc
@@ -23,8 +23,8 @@ driver-y += mainboard.o
 
 # Needed by irq_tables and mptable and acpi_tables.
 obj-y += get_bus_conf.o
-obj-$(CONFIG_HAVE_MP_TABLE) += mptable.o
-obj-$(CONFIG_HAVE_PIRQ_TABLE) += irq_tables.o
+obj-$(CONFIG_GENERATE_MP_TABLE) += mptable.o
+obj-$(CONFIG_GENERATE_PIRQ_TABLE) += irq_tables.o
 
 # This is part of the conversion to init-obj and away from included code.
 
Index: cbv2/src/mainboard/supermicro/h8dmr_fam10/Options.lb
===================================================================
--- cbv2.orig/src/mainboard/supermicro/h8dmr_fam10/Options.lb
+++ cbv2/src/mainboard/supermicro/h8dmr_fam10/Options.lb
@@ -19,9 +19,9 @@
 ## Foundation, Inc., 51 Franklin St, Fifth Floor, Boston, MA  02110-1301 USA
 ## 
 
-uses CONFIG_HAVE_MP_TABLE
-uses CONFIG_HAVE_PIRQ_TABLE
-uses CONFIG_HAVE_ACPI_TABLES
+uses CONFIG_GENERATE_MP_TABLE
+uses CONFIG_GENERATE_PIRQ_TABLE
+uses CONFIG_GENERATE_ACPI_TABLES
 uses CONFIG_HAVE_ACPI_RESUME
 uses CONFIG_ACPI_SSDTX_NUM
 uses CONFIG_USE_FALLBACK_IMAGE
@@ -148,17 +148,17 @@ default CONFIG_HAVE_HARD_RESET=1
 ##
 ## Build code to export a programmable irq routing table
 ##
-default CONFIG_HAVE_PIRQ_TABLE=1
+default CONFIG_GENERATE_PIRQ_TABLE=1
 default CONFIG_IRQ_SLOT_COUNT=11
 
 ##
 ## Build code to export an x86 MP table
 ## Useful for specifying IRQ routing values
 ##
-default CONFIG_HAVE_MP_TABLE=1
+default CONFIG_GENERATE_MP_TABLE=1
 
 ## ACPI tables will be included
-default CONFIG_HAVE_ACPI_TABLES=0
+default CONFIG_GENERATE_ACPI_TABLES=0
 
 ##
 ## Build code to export a CMOS option table
Index: cbv2/src/mainboard/supermicro/x6dai_g/Config.lb
===================================================================
--- cbv2.orig/src/mainboard/supermicro/x6dai_g/Config.lb
+++ cbv2/src/mainboard/supermicro/x6dai_g/Config.lb
@@ -18,8 +18,8 @@ arch i386 end
 ##
 
 driver mainboard.o
-if CONFIG_HAVE_MP_TABLE object mptable.o end
-if CONFIG_HAVE_PIRQ_TABLE object irq_tables.o end
+if CONFIG_GENERATE_MP_TABLE object mptable.o end
+if CONFIG_GENERATE_PIRQ_TABLE object irq_tables.o end
 object reset.o
 
 ##
Index: cbv2/src/mainboard/supermicro/x6dai_g/Options.lb
===================================================================
--- cbv2.orig/src/mainboard/supermicro/x6dai_g/Options.lb
+++ cbv2/src/mainboard/supermicro/x6dai_g/Options.lb
@@ -1,5 +1,5 @@
-uses CONFIG_HAVE_MP_TABLE
-uses CONFIG_HAVE_PIRQ_TABLE
+uses CONFIG_GENERATE_MP_TABLE
+uses CONFIG_GENERATE_PIRQ_TABLE
 uses CONFIG_USE_FALLBACK_IMAGE
 uses CONFIG_HAVE_FALLBACK_BOOT
 uses CONFIG_HAVE_HARD_RESET
@@ -80,14 +80,14 @@ default CONFIG_HAVE_HARD_RESET=1
 ##
 ## Build code to export a programmable irq routing table
 ##
-default CONFIG_HAVE_PIRQ_TABLE=1
+default CONFIG_GENERATE_PIRQ_TABLE=1
 default CONFIG_IRQ_SLOT_COUNT=15
 
 ##
 ## Build code to export an x86 MP table
 ## Useful for specifying IRQ routing values
 ##
-default CONFIG_HAVE_MP_TABLE=1
+default CONFIG_GENERATE_MP_TABLE=1
 
 ##
 ## Build code to export a CMOS option table
Index: cbv2/src/mainboard/supermicro/x6dhe_g/Config.lb
===================================================================
--- cbv2.orig/src/mainboard/supermicro/x6dhe_g/Config.lb
+++ cbv2/src/mainboard/supermicro/x6dhe_g/Config.lb
@@ -17,8 +17,8 @@ arch i386 end
 ##
 
 driver mainboard.o
-if CONFIG_HAVE_MP_TABLE object mptable.o end
-if CONFIG_HAVE_PIRQ_TABLE object irq_tables.o end
+if CONFIG_GENERATE_MP_TABLE object mptable.o end
+if CONFIG_GENERATE_PIRQ_TABLE object irq_tables.o end
 object reset.o
 
 ##
Index: cbv2/src/mainboard/supermicro/x6dhe_g/Options.lb
===================================================================
--- cbv2.orig/src/mainboard/supermicro/x6dhe_g/Options.lb
+++ cbv2/src/mainboard/supermicro/x6dhe_g/Options.lb
@@ -1,5 +1,5 @@
-uses CONFIG_HAVE_MP_TABLE
-uses CONFIG_HAVE_PIRQ_TABLE
+uses CONFIG_GENERATE_MP_TABLE
+uses CONFIG_GENERATE_PIRQ_TABLE
 uses CONFIG_USE_FALLBACK_IMAGE
 uses CONFIG_HAVE_FALLBACK_BOOT
 uses CONFIG_HAVE_HARD_RESET
@@ -80,14 +80,14 @@ default CONFIG_HAVE_HARD_RESET=1
 ##
 ## Build code to export a programmable irq routing table
 ##
-default CONFIG_HAVE_PIRQ_TABLE=1
+default CONFIG_GENERATE_PIRQ_TABLE=1
 default CONFIG_IRQ_SLOT_COUNT=15
 
 ##
 ## Build code to export an x86 MP table
 ## Useful for specifying IRQ routing values
 ##
-default CONFIG_HAVE_MP_TABLE=1
+default CONFIG_GENERATE_MP_TABLE=1
 
 ##
 ## Build code to export a CMOS option table
Index: cbv2/src/mainboard/supermicro/x6dhe_g2/Config.lb
===================================================================
--- cbv2.orig/src/mainboard/supermicro/x6dhe_g2/Config.lb
+++ cbv2/src/mainboard/supermicro/x6dhe_g2/Config.lb
@@ -17,8 +17,8 @@ arch i386 end
 ##
 
 driver mainboard.o
-if CONFIG_HAVE_MP_TABLE object mptable.o end
-if CONFIG_HAVE_PIRQ_TABLE object irq_tables.o end
+if CONFIG_GENERATE_MP_TABLE object mptable.o end
+if CONFIG_GENERATE_PIRQ_TABLE object irq_tables.o end
 object reset.o
 
 ##
Index: cbv2/src/mainboard/supermicro/x6dhe_g2/Options.lb
===================================================================
--- cbv2.orig/src/mainboard/supermicro/x6dhe_g2/Options.lb
+++ cbv2/src/mainboard/supermicro/x6dhe_g2/Options.lb
@@ -1,5 +1,5 @@
-uses CONFIG_HAVE_MP_TABLE
-uses CONFIG_HAVE_PIRQ_TABLE
+uses CONFIG_GENERATE_MP_TABLE
+uses CONFIG_GENERATE_PIRQ_TABLE
 uses CONFIG_USE_FALLBACK_IMAGE
 uses CONFIG_HAVE_FALLBACK_BOOT
 uses CONFIG_HAVE_HARD_RESET
@@ -80,14 +80,14 @@ default CONFIG_HAVE_HARD_RESET=1
 ##
 ## Build code to export a programmable irq routing table
 ##
-default CONFIG_HAVE_PIRQ_TABLE=1
+default CONFIG_GENERATE_PIRQ_TABLE=1
 default CONFIG_IRQ_SLOT_COUNT=15
 
 ##
 ## Build code to export an x86 MP table
 ## Useful for specifying IRQ routing values
 ##
-default CONFIG_HAVE_MP_TABLE=1
+default CONFIG_GENERATE_MP_TABLE=1
 
 ##
 ## Build code to export a CMOS option table
Index: cbv2/src/mainboard/supermicro/x6dhr_ig/Config.lb
===================================================================
--- cbv2.orig/src/mainboard/supermicro/x6dhr_ig/Config.lb
+++ cbv2/src/mainboard/supermicro/x6dhr_ig/Config.lb
@@ -18,8 +18,8 @@ arch i386 end
 ##
 
 driver mainboard.o
-if CONFIG_HAVE_MP_TABLE object mptable.o end
-if CONFIG_HAVE_PIRQ_TABLE object irq_tables.o end
+if CONFIG_GENERATE_MP_TABLE object mptable.o end
+if CONFIG_GENERATE_PIRQ_TABLE object irq_tables.o end
 object reset.o
 
 ##
Index: cbv2/src/mainboard/supermicro/x6dhr_ig/Options.lb
===================================================================
--- cbv2.orig/src/mainboard/supermicro/x6dhr_ig/Options.lb
+++ cbv2/src/mainboard/supermicro/x6dhr_ig/Options.lb
@@ -1,5 +1,5 @@
-uses CONFIG_HAVE_MP_TABLE
-uses CONFIG_HAVE_PIRQ_TABLE
+uses CONFIG_GENERATE_MP_TABLE
+uses CONFIG_GENERATE_PIRQ_TABLE
 uses CONFIG_USE_FALLBACK_IMAGE
 uses CONFIG_HAVE_FALLBACK_BOOT
 uses CONFIG_HAVE_HARD_RESET
@@ -80,14 +80,14 @@ default CONFIG_HAVE_HARD_RESET=1
 ##
 ## Build code to export a programmable irq routing table
 ##
-default CONFIG_HAVE_PIRQ_TABLE=1
+default CONFIG_GENERATE_PIRQ_TABLE=1
 default CONFIG_IRQ_SLOT_COUNT=15
 
 ##
 ## Build code to export an x86 MP table
 ## Useful for specifying IRQ routing values
 ##
-default CONFIG_HAVE_MP_TABLE=1
+default CONFIG_GENERATE_MP_TABLE=1
 
 ##
 ## Build code to export a CMOS option table
Index: cbv2/src/mainboard/supermicro/x6dhr_ig2/Config.lb
===================================================================
--- cbv2.orig/src/mainboard/supermicro/x6dhr_ig2/Config.lb
+++ cbv2/src/mainboard/supermicro/x6dhr_ig2/Config.lb
@@ -18,8 +18,8 @@ arch i386 end
 ##
 
 driver mainboard.o
-if CONFIG_HAVE_MP_TABLE object mptable.o end
-if CONFIG_HAVE_PIRQ_TABLE object irq_tables.o end
+if CONFIG_GENERATE_MP_TABLE object mptable.o end
+if CONFIG_GENERATE_PIRQ_TABLE object irq_tables.o end
 object reset.o
 
 ##
Index: cbv2/src/mainboard/supermicro/x6dhr_ig2/Options.lb
===================================================================
--- cbv2.orig/src/mainboard/supermicro/x6dhr_ig2/Options.lb
+++ cbv2/src/mainboard/supermicro/x6dhr_ig2/Options.lb
@@ -1,5 +1,5 @@
-uses CONFIG_HAVE_MP_TABLE
-uses CONFIG_HAVE_PIRQ_TABLE
+uses CONFIG_GENERATE_MP_TABLE
+uses CONFIG_GENERATE_PIRQ_TABLE
 uses CONFIG_USE_FALLBACK_IMAGE
 uses CONFIG_HAVE_FALLBACK_BOOT
 uses CONFIG_HAVE_HARD_RESET
@@ -80,14 +80,14 @@ default CONFIG_HAVE_HARD_RESET=1
 ##
 ## Build code to export a programmable irq routing table
 ##
-default CONFIG_HAVE_PIRQ_TABLE=1
+default CONFIG_GENERATE_PIRQ_TABLE=1
 default CONFIG_IRQ_SLOT_COUNT=15
 
 ##
 ## Build code to export an x86 MP table
 ## Useful for specifying IRQ routing values
 ##
-default CONFIG_HAVE_MP_TABLE=1
+default CONFIG_GENERATE_MP_TABLE=1
 
 ##
 ## Build code to export a CMOS option table
Index: cbv2/src/mainboard/technexion/tim5690/Config.lb
===================================================================
--- cbv2.orig/src/mainboard/technexion/tim5690/Config.lb
+++ cbv2/src/mainboard/technexion/tim5690/Config.lb
@@ -33,13 +33,13 @@ driver mainboard.o
 
 #dir /drivers/si/3114
 
-if CONFIG_HAVE_MP_TABLE object mptable.o end
-if CONFIG_HAVE_PIRQ_TABLE
+if CONFIG_GENERATE_MP_TABLE object mptable.o end
+if CONFIG_GENERATE_PIRQ_TABLE
 	object get_bus_conf.o
 	object irq_tables.o
 end
 
-if CONFIG_HAVE_ACPI_TABLES
+if CONFIG_GENERATE_ACPI_TABLES
 	object acpi_tables.o
 	object fadt.o
 	makerule dsdt.c
Index: cbv2/src/mainboard/technexion/tim5690/Makefile.inc
===================================================================
--- cbv2.orig/src/mainboard/technexion/tim5690/Makefile.inc
+++ cbv2/src/mainboard/technexion/tim5690/Makefile.inc
@@ -23,11 +23,11 @@ driver-y += mainboard.o
 
 # Needed by irq_tables and mptable and acpi_tables.
 obj-y += get_bus_conf.o
-obj-$(CONFIG_HAVE_MP_TABLE) += mptable.o
-obj-$(CONFIG_HAVE_PIRQ_TABLE) += irq_tables.o
-obj-$(CONFIG_HAVE_ACPI_TABLES) += dsdt.o
-obj-$(CONFIG_HAVE_ACPI_TABLES) += acpi_tables.o
-obj-$(CONFIG_HAVE_ACPI_TABLES) += fadt.o
+obj-$(CONFIG_GENERATE_MP_TABLE) += mptable.o
+obj-$(CONFIG_GENERATE_PIRQ_TABLE) += irq_tables.o
+obj-$(CONFIG_GENERATE_ACPI_TABLES) += dsdt.o
+obj-$(CONFIG_GENERATE_ACPI_TABLES) += acpi_tables.o
+obj-$(CONFIG_GENERATE_ACPI_TABLES) += fadt.o
 
 # This is part of the conversion to init-obj and away from included code.
 
Index: cbv2/src/mainboard/technexion/tim5690/Options.lb
===================================================================
--- cbv2.orig/src/mainboard/technexion/tim5690/Options.lb
+++ cbv2/src/mainboard/technexion/tim5690/Options.lb
@@ -19,9 +19,9 @@
 ##
 ##
 
-uses CONFIG_HAVE_MP_TABLE
-uses CONFIG_HAVE_PIRQ_TABLE
-uses CONFIG_HAVE_ACPI_TABLES
+uses CONFIG_GENERATE_MP_TABLE
+uses CONFIG_GENERATE_PIRQ_TABLE
+uses CONFIG_GENERATE_ACPI_TABLES
 uses CONFIG_HAVE_ACPI_RESUME
 uses CONFIG_USE_FALLBACK_IMAGE
 uses CONFIG_HAVE_FALLBACK_BOOT
@@ -119,17 +119,17 @@ default CONFIG_HAVE_HARD_RESET=1
 ##
 ## Build code to export a programmable irq routing table
 ##
-default CONFIG_HAVE_PIRQ_TABLE=1
+default CONFIG_GENERATE_PIRQ_TABLE=1
 default CONFIG_IRQ_SLOT_COUNT=11
 
 ##
 ## Build code to export an x86 MP table
 ## Useful for specifying IRQ routing values
 ##
-default CONFIG_HAVE_MP_TABLE=1
+default CONFIG_GENERATE_MP_TABLE=1
 
 ## ACPI tables will be included
-default CONFIG_HAVE_ACPI_TABLES=1
+default CONFIG_GENERATE_ACPI_TABLES=1
 
 ##
 ## Build code to export a CMOS option table
Index: cbv2/src/mainboard/technexion/tim5690/mptable.c
===================================================================
--- cbv2.orig/src/mainboard/technexion/tim5690/mptable.c
+++ cbv2/src/mainboard/technexion/tim5690/mptable.c
@@ -142,7 +142,7 @@ void *smp_write_config_table(void *v)
 	/* PCI interrupts are level triggered, and are
 	 * associated with a specific bus/device/function tuple.
 	 */
-#if CONFIG_HAVE_ACPI_TABLES == 0
+#if CONFIG_GENERATE_ACPI_TABLES == 0
 #define PCI_INT(bus, dev, fn, pin) \
         smp_write_intsrc(mc, mp_INT, MP_IRQ_TRIGGER_LEVEL|MP_IRQ_POLARITY_LOW, (bus), (((dev)<<2)|(fn)), apicid_sb600, (pin))
 #else
Index: cbv2/src/mainboard/technexion/tim8690/Config.lb
===================================================================
--- cbv2.orig/src/mainboard/technexion/tim8690/Config.lb
+++ cbv2/src/mainboard/technexion/tim8690/Config.lb
@@ -33,13 +33,13 @@ driver mainboard.o
 
 #dir /drivers/si/3114
 
-if CONFIG_HAVE_MP_TABLE object mptable.o end
-if CONFIG_HAVE_PIRQ_TABLE
+if CONFIG_GENERATE_MP_TABLE object mptable.o end
+if CONFIG_GENERATE_PIRQ_TABLE
 	object get_bus_conf.o
 	object irq_tables.o
 end
 
-if CONFIG_HAVE_ACPI_TABLES
+if CONFIG_GENERATE_ACPI_TABLES
 	object acpi_tables.o
 	object fadt.o
 	makerule dsdt.c
Index: cbv2/src/mainboard/technexion/tim8690/Makefile.inc
===================================================================
--- cbv2.orig/src/mainboard/technexion/tim8690/Makefile.inc
+++ cbv2/src/mainboard/technexion/tim8690/Makefile.inc
@@ -23,11 +23,11 @@ driver-y += mainboard.o
 
 # Needed by irq_tables and mptable and acpi_tables.
 obj-y += get_bus_conf.o
-obj-$(CONFIG_HAVE_MP_TABLE) += mptable.o
-obj-$(CONFIG_HAVE_PIRQ_TABLE) += irq_tables.o
-obj-$(CONFIG_HAVE_ACPI_TABLES) += dsdt.o
-obj-$(CONFIG_HAVE_ACPI_TABLES) += acpi_tables.o
-obj-$(CONFIG_HAVE_ACPI_TABLES) += fadt.o
+obj-$(CONFIG_GENERATE_MP_TABLE) += mptable.o
+obj-$(CONFIG_GENERATE_PIRQ_TABLE) += irq_tables.o
+obj-$(CONFIG_GENERATE_ACPI_TABLES) += dsdt.o
+obj-$(CONFIG_GENERATE_ACPI_TABLES) += acpi_tables.o
+obj-$(CONFIG_GENERATE_ACPI_TABLES) += fadt.o
 
 # This is part of the conversion to init-obj and away from included code.
 
Index: cbv2/src/mainboard/technexion/tim8690/Options.lb
===================================================================
--- cbv2.orig/src/mainboard/technexion/tim8690/Options.lb
+++ cbv2/src/mainboard/technexion/tim8690/Options.lb
@@ -19,9 +19,9 @@
 ##
 ##
 
-uses CONFIG_HAVE_MP_TABLE
-uses CONFIG_HAVE_PIRQ_TABLE
-uses CONFIG_HAVE_ACPI_TABLES
+uses CONFIG_GENERATE_MP_TABLE
+uses CONFIG_GENERATE_PIRQ_TABLE
+uses CONFIG_GENERATE_ACPI_TABLES
 uses CONFIG_HAVE_ACPI_RESUME
 uses CONFIG_USE_FALLBACK_IMAGE
 uses CONFIG_HAVE_FALLBACK_BOOT
@@ -118,17 +118,17 @@ default CONFIG_HAVE_HARD_RESET=1
 ##
 ## Build code to export a programmable irq routing table
 ##
-default CONFIG_HAVE_PIRQ_TABLE=1
+default CONFIG_GENERATE_PIRQ_TABLE=1
 default CONFIG_IRQ_SLOT_COUNT=11
 
 ##
 ## Build code to export an x86 MP table
 ## Useful for specifying IRQ routing values
 ##
-default CONFIG_HAVE_MP_TABLE=1
+default CONFIG_GENERATE_MP_TABLE=1
 
 ## ACPI tables will be included
-default CONFIG_HAVE_ACPI_TABLES=1
+default CONFIG_GENERATE_ACPI_TABLES=1
 
 ##
 ## Build code to export a CMOS option table
Index: cbv2/src/mainboard/technexion/tim8690/mptable.c
===================================================================
--- cbv2.orig/src/mainboard/technexion/tim8690/mptable.c
+++ cbv2/src/mainboard/technexion/tim8690/mptable.c
@@ -142,7 +142,7 @@ void *smp_write_config_table(void *v)
 	/* PCI interrupts are level triggered, and are
 	 * associated with a specific bus/device/function tuple.
 	 */
-#if CONFIG_HAVE_ACPI_TABLES == 0
+#if CONFIG_GENERATE_ACPI_TABLES == 0
 #define PCI_INT(bus, dev, fn, pin) \
         smp_write_intsrc(mc, mp_INT, MP_IRQ_TRIGGER_LEVEL|MP_IRQ_POLARITY_LOW, (bus), (((dev)<<2)|(fn)), apicid_sb600, (pin))
 #else
Index: cbv2/src/mainboard/technologic/ts5300/Config.lb
===================================================================
--- cbv2.orig/src/mainboard/technologic/ts5300/Config.lb
+++ cbv2/src/mainboard/technologic/ts5300/Config.lb
@@ -16,7 +16,7 @@ arch i386 end
 ##
 
 driver mainboard.o
-if CONFIG_HAVE_PIRQ_TABLE object irq_tables.o end
+if CONFIG_GENERATE_PIRQ_TABLE object irq_tables.o end
 # object reset.o
 
 ##
